import os, sys, traceback, zLOG, Globals, string
from Globals import package_home


global_dict=globals()
silly=('__doc__',)
def initialize(context):

    pluginsdir = package_home(globals())

    zLOG.LOG('MMM-NG', zLOG.INFO, 'Looking for plugin types in %s' % pluginsdir)

    plugins = [plugin for plugin in os.listdir(pluginsdir) if os.path.isdir(os.path.join(pluginsdir, plugin))]
    contentConstructors = []
    contentClasses = []

    for plugindir in plugins:
        if plugindir == 'CVS': continue

        try:
            plugin = __import__(plugindir, global_dict, global_dict, silly)
            plugin_init = getattr(plugin, 'initialize', None)
            if plugin_init is not None:
                plugin_init(context)
                """
                fti, contentClass, contentConstructor = plugin_init(context)
                ftis.extend(fti)
                contentConstructors = contentConstructors + contentConstructor
                contentClasses = contentClasses + contentClass
                zLOG.LOG('MMM-NG', zLOG.INFO, 'Plugin fti is %s' % str(fti))
                zLOG.LOG('MMM-NG', zLOG.INFO, 'contentClass is %s' % str(contentClass))
                zLOG.LOG('MMM-NG', zLOG.INFO, 'contentConstructor is %s' % str(contentConstructor))
                """
        except:
            exc = sys.exc_info()
            zLOG.LOG('MMM-NG', zLOG.ERROR, 'Could not import %s' % plugindir,
                error=exc)
    #return ftis, contentClasses, contentConstructors
